<?php
namespace Claromentis\Core\Lock;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array();




class NullLock implements LockInterface
{
    use AbstractLockTrait;
    public function acquireLock(string $_b9ede4b35ebb42de43a3e71957094fa4)
    {
        
        
        return true;
    }
    public function releaseLock(string $_b9ede4b35ebb42de43a3e71957094fa4)
    {
        
        
        return true;
    }
    public function checkLock(string $_b9ede4b35ebb42de43a3e71957094fa4)
    {
        
        
        return true;
    }
}